function OnTouch()
{
    // Ensure this is only applied to robots
    if (activator.GetClassname() != "tf_robot_destruction_robot") { return }

    // Get the script scope
    activator.ValidateScriptScope()
    local robot_scope = activator.GetScriptScope()

    if ("_BOT_INITIATED" in robot_scope == false)
    {
        // Add the robot script to robots without one yet
        DoIncludeScript("Cultists/robot_logic.nut", robot_scope)
        AddThinkToEnt(activator, "Tick")
        
        EntFireByHandle(activator, "RunScriptCode", "Init()", 0.01, self, self) // Allow for map logic customization by delaying the initialization
    }
}

self.ConnectOutput("OnStartTouch", "OnTouch")